post
https://sandbox.saner.secpod.com/AncorWebService/perform
Get Applicable Firmware Remediation.
This method gets the list of firmware patches available for the account or the list of devices provided.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier | Yes | string |
| device | Device name(s) to fetch firmware patches for | Yes | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getApplicableFirmwareRemediation(
accountid="Demo Account",
device=["device 1","device 2"]
)
print(response)
client.close()Requires Python 3.9 or later.